/********************************************************* * 
@file		:ks_common.h
@brief  	:common interface header file 
@author 	:zhongfeng
@version	:v1.0 
@date 		:19/08/29
Copyright (C) 2019 Panchip Technology Corp. All rights reserved. 
***********************************************************/
#ifndef __KS_COMMON_H__
#define __KS_COMMON_H__

#define KS_MAX_ROW          (6)
#define KS_MAX_PRESS_FREQ   (100)


extern const uint8_t row[3];
extern const uint8_t col[1];
extern bool wk_by_kscan_flag;

extern void KS_TestModuleInit(void);

uint32_t KS_IntTestCase(void);
uint32_t KS_PollingTestCase(void);
void KS_TestFunctionEnter(uint16_t Idx);


#endif // __KS_COMMON_H__
